summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-06-21 06:30:50 +0200
committerHans de Graaff <graaff@gentoo.org>2016-06-21 07:07:45 +0200
commit77ddc239721eca3c4260212c152bf98a757495ca (patch)
treea6a59c4eec7e294b7f0eb7ad17130df94148f642 /dev-ruby/rake-compiler
parentdev-ruby/did_you_mean: add 1.0.2 (diff)
downloadgentoo-77ddc239721eca3c4260212c152bf98a757495ca.tar.gz
gentoo-77ddc239721eca3c4260212c152bf98a757495ca.tar.bz2
gentoo-77ddc239721eca3c4260212c152bf98a757495ca.zip
dev-ruby/rake-compiler: cleanup
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/rake-compiler')
-rw-r--r--dev-ruby/rake-compiler/Manifest3
-rw-r--r--dev-ruby/rake-compiler/rake-compiler-0.9.6.ebuild62
-rw-r--r--dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild62
-rw-r--r--dev-ruby/rake-compiler/rake-compiler-0.9.8.ebuild62
4 files changed, 0 insertions, 189 deletions
diff --git a/dev-ruby/rake-compiler/Manifest b/dev-ruby/rake-compiler/Manifest
index 1d022ac310b..3b98059e4fd 100644
--- a/dev-ruby/rake-compiler/Manifest
+++ b/dev-ruby/rake-compiler/Manifest
@@ -1,5 +1,2 @@
DIST rake-compiler-0.9.2.tar.gz 30778 SHA256 72ced9a0ca9a034506de279e888fdec63d542d788ee1d2e7910f1bfd71c82dd3 SHA512 883157bf44540cd021bec22a84e907922756f74a61e84c62e51eed752da01d217a03aebd88582fbe779210116e7ab1a36023707fbdae445b5ac4499c7de9b8eb WHIRLPOOL 79b21689e08ac21005243a2f18bde0941c3a86bdd3bf36bf557d3c706cb64fcb379f2d3fd06c93d3c07f10e8c1e47c75933ba783cc23b57137d9fce6c3e7de78
-DIST rake-compiler-0.9.6.tar.gz 32261 SHA256 81fca307339b8232ebc672017cedbd0603e04ed96e9340e9517c92e7bf9e0ee4 SHA512 3a91f972b4355e5d578693a1e5daa874524207c3bb5f7abc234b39e33f9a3cf3c1161d45edb90656bf81154297b7d4a5faeddfa42fac4b989c16d2db71e4f9f9 WHIRLPOOL 02384e2b8ad7b1e5df596b7a12adf685b5bef9765c0cf1c2eb14ac32dee9c9b8764f97383c31f9268520215ae0b667357430173f1a9c3958b859dc699f3012ab
-DIST rake-compiler-0.9.7.tar.gz 32292 SHA256 0ac3cf05c3bdb1c2c6fe6c5180b0da5994a1fa748447c1bdbc2eef2daeefefa5 SHA512 9d92d34bb82f2e6a0ba824c1c099a51c137368817aefd5e0821a216fabef9ab77e15895211b858e54afc965d5167810fd2ed3e36e57d91cb0bed8491b287c7db WHIRLPOOL 3c6171fa6f8b9252758315f82063a097ee366b4b9cf90c7990cf2ba5b95f4680074915670b983d608812259f9c8e5f9ef0b09a800fa65bbb18a26adad33dba8f
-DIST rake-compiler-0.9.8.tar.gz 32550 SHA256 35d68a295ca70ad8a25194e4d443bee2189e0b26540727fddf5729491cc34d3f SHA512 a0e0c6713ab62dd137d189a210e26020398df11483069ce49348f2e03d457dfd001492ac1dac9c6c082fa677a807dc61a2963366fde6ac378ee10eb392491f74 WHIRLPOOL a48b3ba61f19a38adb4def0730ea04d878745abb25b43c1edfaef5d6a21e8ea74b47b9cd74677bc913ea1dc98a9e56c575d51fdb9a2b33734ff918f6501cc430
DIST rake-compiler-0.9.9.tar.gz 32624 SHA256 d82eedb4a1e23aa4e1e07af130c3ef450b6fb0a32b1297a923e1387cd420b811 SHA512 66d1468d687f10bb1df77410024ff6f9a9b0f396b5ec5e13ac009d02748fca503d8dc805a0f82e30bb9989441ad98d2a5aa2e586c5e5345a164fc03853259f22 WHIRLPOOL 8cec34ae674c98311b2e947b44f72a7f4998366f4d05c8a97a83a93f4b7522c96b95b7d09ec1d92ee8eb90ee9913c9b50485a00d252bcbfb9fa7b72bb2bf861e
diff --git a/dev-ruby/rake-compiler/rake-compiler-0.9.6.ebuild b/dev-ruby/rake-compiler/rake-compiler-0.9.6.ebuild
deleted file mode 100644
index 4be7abf9c6c..00000000000
--- a/dev-ruby/rake-compiler/rake-compiler-0.9.6.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22 ruby23"
-
-RUBY_FAKEGEM_RECIPE_TEST="none"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
-
-inherit ruby-fakegem eutils
-
-DESCRIPTION="Provide a standard and simplified way to build and package Ruby extensions"
-HOMEPAGE="https://github.com/luislavena/rake-compiler"
-LICENSE="MIT"
-
-SRC_URI="https://github.com/luislavena/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-SLOT="0"
-IUSE=""
-
-ruby_add_rdepend "dev-ruby/rake"
-
-ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
-
-USE_RUBY="ruby20 ruby21" ruby_add_bdepend "test? ( dev-util/cucumber )"
-
-all_ruby_prepare() {
- # Make sure the right rspec version is used in cucumber.
- sed -i -e "1igem 'rspec', '~>2.0'" features/support/env.rb || die
-}
-
-each_ruby_prepare() {
- case ${RUBY} in
- *ruby19)
- # Remove this task so that it won't load on Ruby 1.9
- # that lack the package_task file. It is, though, needed for the
- # tests
- rm tasks/gem.rake || die
- # Remove specs aimed at a C-compiling ruby implementation.
- rm spec/lib/rake/extensiontask_spec.rb || die
- ;;
- *)
- ;;
- esac
-}
-
-each_ruby_test() {
- # Skip cucumber for ruby22 (not ready yet)
- case ${RUBY} in
- *ruby20|*ruby21)
- ruby-ng_rspec
- ruby-ng_cucumber
- ;;
- *)
- ruby-ng_rspec
- ;;
- esac
-}
diff --git a/dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild b/dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild
deleted file mode 100644
index 4be7abf9c6c..00000000000
--- a/dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22 ruby23"
-
-RUBY_FAKEGEM_RECIPE_TEST="none"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
-
-inherit ruby-fakegem eutils
-
-DESCRIPTION="Provide a standard and simplified way to build and package Ruby extensions"
-HOMEPAGE="https://github.com/luislavena/rake-compiler"
-LICENSE="MIT"
-
-SRC_URI="https://github.com/luislavena/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-SLOT="0"
-IUSE=""
-
-ruby_add_rdepend "dev-ruby/rake"
-
-ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
-
-USE_RUBY="ruby20 ruby21" ruby_add_bdepend "test? ( dev-util/cucumber )"
-
-all_ruby_prepare() {
- # Make sure the right rspec version is used in cucumber.
- sed -i -e "1igem 'rspec', '~>2.0'" features/support/env.rb || die
-}
-
-each_ruby_prepare() {
- case ${RUBY} in
- *ruby19)
- # Remove this task so that it won't load on Ruby 1.9
- # that lack the package_task file. It is, though, needed for the
- # tests
- rm tasks/gem.rake || die
- # Remove specs aimed at a C-compiling ruby implementation.
- rm spec/lib/rake/extensiontask_spec.rb || die
- ;;
- *)
- ;;
- esac
-}
-
-each_ruby_test() {
- # Skip cucumber for ruby22 (not ready yet)
- case ${RUBY} in
- *ruby20|*ruby21)
- ruby-ng_rspec
- ruby-ng_cucumber
- ;;
- *)
- ruby-ng_rspec
- ;;
- esac
-}
diff --git a/dev-ruby/rake-compiler/rake-compiler-0.9.8.ebuild b/dev-ruby/rake-compiler/rake-compiler-0.9.8.ebuild
deleted file mode 100644
index 881e6866f71..00000000000
--- a/dev-ruby/rake-compiler/rake-compiler-0.9.8.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22 ruby23"
-
-RUBY_FAKEGEM_RECIPE_TEST="none"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
-
-inherit ruby-fakegem eutils
-
-DESCRIPTION="Provide a standard and simplified way to build and package Ruby extensions"
-HOMEPAGE="https://github.com/luislavena/rake-compiler"
-LICENSE="MIT"
-
-SRC_URI="https://github.com/luislavena/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-SLOT="0"
-IUSE=""
-
-ruby_add_rdepend "dev-ruby/rake"
-
-ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
-
-USE_RUBY="ruby20 ruby21 ruby22" ruby_add_bdepend "test? ( dev-util/cucumber )"
-
-all_ruby_prepare() {
- # Make sure the right rspec version is used in cucumber.
- sed -i -e "1igem 'rspec', '~>2.0'" features/support/env.rb || die
-}
-
-each_ruby_prepare() {
- case ${RUBY} in
- *ruby19)
- # Remove this task so that it won't load on Ruby 1.9
- # that lack the package_task file. It is, though, needed for the
- # tests
- rm tasks/gem.rake || die
- # Remove specs aimed at a C-compiling ruby implementation.
- rm spec/lib/rake/extensiontask_spec.rb || die
- ;;
- *)
- ;;
- esac
-}
-
-each_ruby_test() {
- # Skip cucumber for ruby23 (not ready yet)
- case ${RUBY} in
- *ruby20|*ruby21|*ruby22)
- ruby-ng_rspec
- ruby-ng_cucumber
- ;;
- *)
- ruby-ng_rspec
- ;;
- esac
-}